com.taosdata.jdbc.enums

## Enum FieldBindType

- java.lang.Object
- - java.lang.Enum<FieldBindType>
  - - com.taosdata.jdbc.enums.FieldBindType

All Implemented Interfaces:
  Serializable, Comparable<FieldBindType>

    public enum FieldBindType
    extends Enum<FieldBindType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`TAOS_FIELD_COL`
`TAOS_FIELD_QUERY`
`TAOS_FIELD_TAG`
`TAOS_FIELD_TBNAME`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static FieldBindType` `fromValue(int value)`
`int` `getValue()`
`static FieldBindType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FieldBindType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### TAOS_FIELD_COL

    public static final FieldBindType TAOS_FIELD_COL

#### TAOS_FIELD_TAG

    public static final FieldBindType TAOS_FIELD_TAG

#### TAOS_FIELD_QUERY

    public static final FieldBindType TAOS_FIELD_QUERY

#### TAOS_FIELD_TBNAME

    public static final FieldBindType TAOS_FIELD_TBNAME

### Method Detail

#### values

    public static FieldBindType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (FieldBindType c : FieldBindType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static FieldBindType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getValue

    public int getValue()

#### fromValue

    public static FieldBindType fromValue(int value)